This commit is contained in:
2019-07-10 18:12:50 -07:00
parent cadf53b85c
commit 1c607bd09a
+17 -17
View File
@@ -370,26 +370,26 @@ if ! [ "$?" = "0" ]; then
fi
# commented out for debugging
#echo ""
#echo "Clearing chroot configuration script..."
#rm /mnt/setup-chroot.sh
#echo "Done."
echo ""
echo "Clearing chroot configuration script..."
rm /mnt/setup-chroot.sh
echo "Done."
#echo ""
#echo "Unmounting chroot mounts..."
#mount | grep -v zfs | tac | awk '/\/mnt/ {print $3}' | xargs -i{} umount -lf {}
#echo "Done."
echo ""
echo "Unmounting chroot mounts..."
mount | grep -v zfs | tac | awk '/\/mnt/ {print $3}' | xargs -i{} umount -lf {}
echo "Done."
#echo ""
#echo "Exporting zpools..."
#errors=`zpool export -a 2>&1 1>/dev/null`
#if ! [ "$?" = "0" ]; then
# echo "Couldn't export mounted zpools - $errors"
# exit 8
#fi
#echo "Done."
echo ""
echo "Exporting zpools..."
errors=`zpool export -a 2>&1 1>/dev/null`
if ! [ "$?" = "0" ]; then
echo "Couldn't export mounted zpools - $errors"
exit 8
fi
echo "Done."
#echo "Congratulations! The install was successful. Please reboot and set your boot device using UEFI in the BIOS."
echo "Congratulations! The install was successful. Please reboot and set your boot device using UEFI in the BIOS."
exit 0
#sed -i -r "s/(^|[^#y])(compress)/\1#\2/" "$file"